Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class SoundCompressionDialog

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.qtcomponents.CompressionDialog
                              |
                              +--quicktime.std.qtcomponents.SoundCompressionDialog

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SoundCompressionDialog
extends CompressionDialog
implements quicktime.jdirect.QuickTimeLib

This class represents the standard compression dialog for sound.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SoundCompressionDialog()` Opens the CompressionDialog component.

Method Summary
`int` | `getInfoChannelCount()` Retrieves the current channel count for a dialog.
`int` | `getInfoCompression()` Retrieves the current compression type for a dialog.
`int[]` | `getInfoCompressionList()` Retrieves the current compression type list for a dialog.
`float` | `getInfoSampleRate()` Retrieves the current sample rate for a dialog.
`int` | `getInfoSampleSize()` Retrieves the current sample size for a dialog.
`void` | `setInfoChannelCount(int n)` Sets the current channel count for a dialog.
`void` | `setInfoCompression(int compType)` Sets the current compression type for a dialog.
`void` | `setInfoCompressionList(int[] compTypes)` Sets the current list of compression types for a dialog.
`void` | `setInfoSampleRate(float rate)` Sets the current sample rate for a dialog.
`void` | `setInfoSampleSize(int size)` Sets the current sample size for a dialog.

Methods inherited from class quicktime.std.qtcomponents.CompressionDialog
`getInfoPreferences, getInfoState, getSettings, requestSettings, setInfoPreferences, setInfoState, setInfoState, setSettings`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoundCompressionDialog

    public SoundCompressionDialog()
                           throws QTException

  Opens the CompressionDialog component.

Method Detail

### getInfoSampleRate

    public float getInfoSampleRate()
                            throws StdQTException

  Retrieves the current sample rate for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the sample rate

### setInfoSampleRate

    public void setInfoSampleRate(float rate)
                           throws StdQTException

  Sets the current sample rate for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `rate` - the new sample rate

### getInfoSampleSize

    public int getInfoSampleSize()
                          throws StdQTException

  Retrieves the current sample size for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the sample size

### setInfoSampleSize

    public void setInfoSampleSize(int size)
                           throws StdQTException

  Sets the current sample size for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `size` - the new sample size

### getInfoChannelCount

    public int getInfoChannelCount()
                            throws StdQTException

  Retrieves the current channel count for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the channel count

### setInfoChannelCount

    public void setInfoChannelCount(int n)
                             throws StdQTException

  Sets the current channel count for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `n` - the new channel count

### setInfoCompression

    public void setInfoCompression(int compType)
                            throws StdQTException

  Sets the current compression type for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `compType` - the new compression type

### getInfoCompression

    public int getInfoCompression()
                           throws StdQTException

  Retrieves the current compression type for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the compression

### setInfoCompressionList

    public void setInfoCompressionList(int[] compTypes)
                                throws StdQTException

  Sets the current list of compression types for a dialog.
  QuickTime::SCSetInfo()

  Parameters:
    `compTypes` - the new compression types, if null then show all available compression options.

### getInfoCompressionList

    public int[] getInfoCompressionList()
                                 throws StdQTException

  Retrieves the current compression type list for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the compression list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD